﻿using System.Linq;
using Adressverwaltung.Data.Models;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.StorageClient;

namespace Adressverwaltung.Data.Contexts
{
    public class AdressverwaltungTableStorageContext : TableServiceContext
    {
        public AdressverwaltungTableStorageContext(string baseAddress, 
            StorageCredentials credentials)
            : base(baseAddress, credentials)
        { }

        public IQueryable<Adressbuch> Adressbuecher
        {
            get
            {
                return CreateQuery<Adressbuch>("Adressbuecher");
            }
        }

        public IQueryable<Kontakt> Kontakte
        {
            get
            {
                return CreateQuery<Kontakt>("Kontakte");
            }
        }
    }
}
